Subject: Re: [PATCH v2 2/2] git-merge-file: do not add LF at EOF while applying unrelated change

From: Max Kirillov <[email-masked]>
Date: Thu, 3 Jul 2014 07:31:41 +0300

On Wed, Jul 02, 2014 at 04:08:28PM +0200, Johannes Schindelin wrote:
>> What could be improved with them?
> 
> Oh, I would name the files more appropriately, for example. That is,
> instead of test1.txt I would call it mixed-endings.txt or lf-only.txt or
> some such.
> 
> And instead of the Latin version of Psalm 23, I would put lines into the
> files that describe their own role in the test, i.e.
> 
> 	unchanged
> 	ends with a carriage return
> 	ends with a line feed
> 	unchanged
> 
> or similar.
> 
> Please keep in mind that this critique is most likely on my *own* work,
> for all I know *I* introduced those files.

I asked to have something in mind if I return to this.
 
Thanks for the notes.

-- 
Max